Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms
Class GetMapServiceInvokerForUL

    java.lang.Object
      org.deegree.ogcwebservices.wms.GetMapServiceInvoker
          org.deegree.ogcwebservices.wms.GetMapServiceInvokerForUL

All Implemented Interfaces:
  Callable<Object>

     class GetMapServiceInvokerForUL

extends GetMapServiceInvoker
implements Callable<Object>

class for accessing the data of one user layer and creating `DisplayElement`s and a `Thrme` from it. The class extends `Thread` and implements the run method, so that a parallel data accessing from several layers is possible.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.GetMapServiceInvoker
`handler, scaleDen`

Constructor Summary
`GetMapServiceInvokerForUL(DefaultGetMapHandler handler, UserLayer layer, double scale)`

Method Summary
`Object` | `call()`

Methods inherited from class org.deegree.ogcwebservices.wms.GetMapServiceInvoker
`extractNameSpaceDef, findGeoProperties, getResponsibleService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMapServiceInvokerForUL

    GetMapServiceInvokerForUL(DefaultGetMapHandler handler,
                              UserLayer layer,
                              double scale)

Parameters:
  `handler` -
  `layer` -
  `scale` - current mapscale denominator

Method Detail

### call

    public Object call()

  Specified by:
    `call` in interface `Callable<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org